import { EcogesturesIcon } from 'enum/ecogestureIcon.enum'
import AccelerateurSVG from 'assets/icons/visu/ecogesture/accelerateur.svg'
import CasqueSVG from 'assets/icons/visu/ecogesture/casque.svg'
import CymbalSVG from 'assets/icons/visu/ecogesture/cymbal.svg'
import ElectroSVG from 'assets/icons/visu/ecogesture/electro.svg'
import FrerotsSVG from 'assets/icons/visu/ecogesture/frerots.svg'
import HibernationSVG from 'assets/icons/visu/ecogesture/hibernation.svg'
import PoingsSVG from 'assets/icons/visu/ecogesture/poings.svg'
import VaisselleSVG from 'assets/icons/visu/ecogesture/vaisselle.svg'

export const getEcogestureIconSVG = (iconName: string) => {
  switch (iconName) {
    case EcogesturesIcon.ACCELEREATEUR:
      return AccelerateurSVG
    case EcogesturesIcon.CASQUE:
      return CasqueSVG
    case EcogesturesIcon.CYMBAL:
      return CymbalSVG
    case EcogesturesIcon.ELECTRO:
      return ElectroSVG
    case EcogesturesIcon.FREROTS:
      return FrerotsSVG
    case EcogesturesIcon.HIBERNATION:
      return HibernationSVG
    case EcogesturesIcon.POINGS:
      return PoingsSVG
    case EcogesturesIcon.VAISSELLE:
      return VaisselleSVG
    default:
      return null
  }
}
